package com.mcwl.web.controller.resource;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mcwl.common.annotation.RepeatSubmit;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.MallProduct;
import com.mcwl.resource.domain.vo.MallProductVo;
import com.mcwl.resource.service.MallProductLikeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 点赞商品
 * @author DaiZibo
 * @date 2025/1/2
 * @apiNote
 */

@RequestMapping("like")
@RestController
public class MallProductLikeController {

    @Autowired
    private MallProductLikeService mallProductLikeService;

    /**
     * 查询用户点赞作品列表
     * @param mallProductVo
     * @return
     */
    @PostMapping("/selectByUserLike")
    public AjaxResult selectByUserLike(@RequestBody MallProductVo mallProductVo){

        Page<MallProduct> mallProductPage = mallProductLikeService.selectByUserLike(mallProductVo);
        return AjaxResult.success(mallProductPage);
    }

    /**
     * 添加/删除点赞商品
     * @param productId
     * @return
     */
    @RepeatSubmit
    @GetMapping("/addLike")
    public AjaxResult addLike(@RequestParam Long productId){

        return mallProductLikeService.addLike(productId);
    }

    /**
     * 查看作品是否点赞
     * @param productId
     * @return
     */
    @GetMapping("/selectLike")
    public AjaxResult selectLike(@RequestParam Long productId){
        Boolean aBoolean = mallProductLikeService.selectLike(productId);
        return AjaxResult.success(aBoolean);
    }



}
